local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.MakingGoldLevellingSkinning(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Making Gold Levelling Skinning")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  --- Vanilla
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Starting with Skinning we shall explore Vanilla Skinning, to do this we will want to learn the basic skill which can be found in either Stormwind or Orgrimmar depending on your faction. Once this is obtained we will only need one place to farm in order to level up our skinning. This is the Sunken Temple located within The Swamp of Sorrows. In this dungeon you will want to run into the instance and gather up all of the Dragonkin. After defeating them you are able to skin these, though Skinning speed buffs would be required. With this dungeon you will be able to level up you skinning to max in about three lockouts or thirty runs. One side note to mention is that while you are levelling the leather gathered will start off with Light Leather and make it's way up to Rugged Leather while your skinning skill increases.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
 -- TBC
 
   local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Outland:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto this for Skinning in Outland we will want to learn the basic skinning for the Burning Crusade and this can be found within Shattrath City in the Lower City. However for levelling this profession we have multiple skinning farms we can do but the best farm for Leathers the Boar farm in Blades Edge Mountains ( See Appendix “Material Farm” for Location of Farms”). Here you will be able to blitz the through the skinning levelling process and be able to max it within an hour and this will also provide you with a large amount of different Leathers for this expansion.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
 
 -- WOTLK
 
   local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Wrath of the Lich King:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Next up we will be looking at Wrath of the Lich King Skinning, to learn this skill you will need to make your way over to Northrend Dalaran and head to the Profession area to acquire said skill. This expansion can be levelled in about one to two lockouts of the dungeon “The Oculus”. This farm is by far of of the easiest and best skinning farms in Wrath as this will give you a large amount of Borean Leather, Icy Dragonscales and Arctic Fur in a short amount of time ( approx 20 minutes per lockout ). Through this you should not have a problem levelling up your skill and have it maxed out quite fast in relation to other skinning farms.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
-- Cata

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Next up we will want to dive into Cataclysm Skinning, for this you should have noticed that when you were in Stormwind or Orgrimmar that the Vanilla Skinning trainer allowed you to learn cataclysm skinning also so it would be wise to learn that when you learned the vanilla skinning. Once this is done we can make our way over to the raid “Firelands”, this is where you will want to run into the raid and destroy all of the trash mobs inside. However you make note to not slay any of the bosses as this will lock you to the raid so you will not be able to reset the instance and in conjunction the trash mobs. You will be able to reset the instance ten times per hour and I would also add that having a potion of treasure finding on will vastly increase extra materials you can sell on the auction house increasing your gold per hour while you are levelling up your skinning. This is known as one of the best gold farms in general for skinning and there is know surprise as this is fairly easy to accomplish on a max level toon.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
 -- Mop
 
   local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving over to Mists of Pandaria we will want to make our way to the Mr. Pleeb in the Valley of the Four Winds at Nesingwary's Safari to learn our Mists Skinning skill. After this is done we can move over to another amazing gold farm in skinning which we will use for our levelling. Head over to the “Isle of Giant” ( North of Kun-Lai Summit ), here we will want to move around the island slaying all of the dinosaurs. Here we will receive Exotic Leather at a vastly higher rate than any where else. However we must take note that the dinosaurs will also drop “Giant Dinosaur Bones” which can also be sold on the auction house increasing our gold per hour for this farm. This gold farm is done in a circler shape fashion and can be done quite fast if done so. The last thing of note for this farm is that you are able to gain additional battle pets and also mounts from this farm, which the pets can be sold on the auction house also but the mounts are soulbound which means you gain three mounts out of this farm as a bonus.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  --   Wod
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Draenor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto Warlords of Draenor, we will not need to find a profession trainer to learn the skinning skill. You will be able to learn this from a recipe which drops off of mobs in the open world and drops in about three skins of mobs. In regards to this skinning for Wod is low in comparison to other gold farms so we will want to blast through this quite fast. The farm in question to do is in Shadowmoon Valley and what you will be doing here is taking out the Elek's in the area. This will drop Raw Beast Hide and Sumptuous Fur. The gold per hour is okay but not the best for this on most servers so we are mainly focusing on levelling up our skill as fast as possible while levelling so this farms is ideal because if you follow Elek's in a Circular motion you should not run out of mobs and always be skinning for this farm. One note i would suggest is the Nagrand instant respawn Clefthoof Farm, but in later years this has been camped heavily and would not make an ideal levelling area for you.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  -- Legion
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we make our way into Legion we will want to learn our skill by going over towards the Broken Isles Dalaran and head to the Profession area in the City. We will want to level this similar towards how we levelled Mining and Herbalism in regards to ranks as we will want to go from ranks one to three with  Stonehide Leather and Stormscale.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  -- BFA
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle for Azeroth:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("In regards to Battle for Azeroth, we will first look into learning said skills. The Skinning trainers can be found in either Boralus or Zandalar which you will learn the basic skinning skills. Take note of this trainer as you will have to make your way back to them for ranking up your skills. The first step for levelling is that you will want to make your way to “Hocking's Plot” which is located in Drustvar, this is because this is tied to a world quest which makes the Boars in the area to always have a certain number of mobs up at a time. This will help make sure you will always have something to skin and should help level up faster. Along with with you can obtain the basic quests which drop from these mobs for the relevant Coarse Leather and other materials but not all ( cords: 28.6 25.0) . To finish off you will need to rank up in Shimmermist Scales which you then will have to head over towards Tiraguard Sound ( cords: 84.6 73.6 ). here you will need to farm this area once again for your ranks in this material and others in which you wont have to much too much as the rank quests drop quite fast.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("Moving ontothis once you must be at least 140 skinning to skin in Nazjatar, however this is where you will learn Dredged Leather Skinning. You will need to move over to The Vale of Eternal Blossoms for the most materials for your time ( cords: 27.0 76.6 ). This is where you will be fighting the Wolfs in the area for Dredged leather, you can easily rank up with your skill to max this way. However if you are wanting rank two you will need to obtain “Chum” from Snapdragons in Nazjatar. This is a standard drop and once obtain you will use this to summon “Vor'Koth” (cords: 48.35 24.31). you can learn both rank two's for Dredged Leather and Cragscale from him though this might take you a couple of attempts for it to drop off of the boss. Cragscales can be farmed off of the Snapdragons in Nazjatar which is also a good gold farm ( cords: 72.0 48.6 ). following onto rank three, this will require you to mass farm this area until the rank drops for you.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  

  
  -- Shadowlands
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("For Shadowlands we will need to learn the basic skill of “Shadowlands Skinning” which can be learned from the trainer in Oribos. The next stage would be to start a mass skinning session in which we will be heading over towards the zone of Bastion. Here we will be farming the Anima-Starved Cloudfeather's ( cords: 48.2 58.0 ), here we will be wanting to farm this area because they have a fast respawn rate due to them being linked to a world quest and standard questing. There is no ranks in Shadowlands which means all we have to do is farm until we hit max in our Skinning for this expansion.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
  
  
  
  
  
  
  
  

end